"""Ordered lists

Revision ID: 7fd433c8e65b
Revises: a6446496220c
Create Date: 2025-04-17 13:28:49.852810

"""

from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "7fd433c8e65b"
down_revision: Union[str, None] = "a6446496220c"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Upgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("activities", schema=None) as batch_op:
        batch_op.add_column(sa.Column("position", sa.Integer(), nullable=True))

    with op.batch_alter_table("topics", schema=None) as batch_op:
        batch_op.add_column(sa.Column("position", sa.Integer(), nullable=True))

    # ### end Alembic commands ###


def downgrade() -> None:
    """Downgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("topics", schema=None) as batch_op:
        batch_op.drop_column("position")

    with op.batch_alter_table("activities", schema=None) as batch_op:
        batch_op.drop_column("position")
    # ### end Alembic commands ###
